umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SelectLayoutTypeWidget Class Reference

`#include <selectlayouttypewidget.h>`

Inheritance diagram for SelectLayoutTypeWidget:

## Public Member Functions
| SelectLayoutTypeWidget (const QString &title, Uml::LayoutType::Enum selected, QWidget *parent=nullptr)
void | setCurrentLayout (Uml::LayoutType::Enum layout)
Uml::LayoutType::Enum | currentLayout ()
Public Member Functions inherited from ComboBoxWidgetBase
| ComboBoxWidgetBase (const QString &title, const QString &postLabel=QString(), QWidget *parent=nullptr)
void | addToLayout (QGridLayout *layout, int row, int startColumn=0)
KComboBox * | editField ()

## Additional Inherited Members
Protected Attributes inherited from ComboBoxWidgetBase
QLabel * | m_label
QLabel * | m_postLabel
KComboBox * | m_editField

## Constructor & Destructor Documentation

## ◆ SelectLayoutTypeWidget()

SelectLayoutTypeWidget::SelectLayoutTypeWidget | ( | const QString & | title,
|  | Uml::LayoutType::Enum | selected,
|  | QWidget * | parent = nullptr )
| explicit

## Member Function Documentation

## ◆ currentLayout()

Uml::LayoutType::Enum SelectLayoutTypeWidget::currentLayout | ( |  | ) |

## ◆ setCurrentLayout()

void SelectLayoutTypeWidget::setCurrentLayout | ( | Uml::LayoutType::Enum | layout | ) |

The documentation for this class was generated from the following files:

- umbrello/dialogs/widgets/selectlayouttypewidget.h
- umbrello/dialogs/widgets/selectlayouttypewidget.cpp